/ lang / dec
DEC
Syntax

    DEC Variable

Decrements a variable.

Variable can be any target of an assignment, but must be numeric.

It is the exact equivalent of

`Variable = Variable - 1`
or

`Variable -= 1`

### Examples

    X = 7
    DEC X
    PRINT X
    <hr>6

    DIM A AS Float[3, 3]

    X = 2
    Y = 1

    A[X, Y] = PI
    DEC A[X, Y]
    PRINT A[X, Y]
    <hr>2.14159265359

### See also

Arithmetical Functions Assignment Operators INC